<div class="ui raised very padded centre aligned container segment">
  <app-progress-bar></app-progress-bar>

  <button
    [class]="generateLettersClass"
    (click)="generateLetters()"
    [disabled]="genLetDisabled"
  >
    Generate letters
  </button>
  <button
    class="large gray ui button"
    [disabled]="deleteLetterDisabled"
    (click)="removeLetterClick()"
  >
    <i class="right recycle icon"></i>
    Remove letter
  </button>
  <div class="ui large labeled input focus" style="float: right">
    <div class="ui blue label">Points:</div>
    <div class="ui basic label">{{ playerPoints }}</div>
  </div>
  <div class="ui divider"></div>
  <div class="ui centre aligned container">
    <div class="ui grid">
      <div class="ui twelve column grid">
        <div class="one fluid wide column">
          <button
            #lb1
            [class]="letterButtonClass"
            (click)="letterButtonClick(lb1)"
            [disabled]="letterButtonDisabled"
          ></button>
        </div>
        <div class="one fluid wide column">
          <button
            #lb2
            [class]="letterButtonClass"
            (click)="letterButtonClick(lb2)"
            [disabled]="letterButtonDisabled"
          ></button>
        </div>
        <div class="one fluid wide column">
          <button
            #lb3
            [class]="letterButtonClass"
            (click)="letterButtonClick(lb3)"
            [disabled]="letterButtonDisabled"
          ></button>
        </div>
        <div class="one fluid wide column">
          <button
            #lb4
            [class]="letterButtonClass"
            (click)="letterButtonClick(lb4)"
            [disabled]="letterButtonDisabled"
          ></button>
        </div>
        <div class="one fluid wide column">
          <button
            #lb5
            [class]="letterButtonClass"
            (click)="letterButtonClick(lb5)"
            [disabled]="letterButtonDisabled"
          ></button>
        </div>
        <div class="one fluid wide column">
          <button
            #lb6
            [class]="letterButtonClass"
            (click)="letterButtonClick(lb6)"
            [disabled]="letterButtonDisabled"
          ></button>
        </div>
        <div class="one fluid wide column">
          <button
            #lb7
            [class]="letterButtonClass"
            (click)="letterButtonClick(lb7)"
            [disabled]="letterButtonDisabled"
          ></button>
        </div>
        <div class="one fluid wide column">
          <button
            #lb8
            [class]="letterButtonClass"
            (click)="letterButtonClick(lb8)"
            [disabled]="letterButtonDisabled"
          ></button>
        </div>
        <div class="one fluid wide column">
          <button
            #lb9
            [class]="letterButtonClass"
            (click)="letterButtonClick(lb9)"
            [disabled]="letterButtonDisabled"
          ></button>
        </div>
        <div class="one fluid wide column">
          <button
            #lb10
            [class]="letterButtonClass"
            (click)="letterButtonClick(lb10)"
            [disabled]="letterButtonDisabled"
          ></button>
        </div>
        <div class="one fluid wide column">
          <button
            #lb11
            [class]="letterButtonClass"
            (click)="letterButtonClick(lb11)"
            [disabled]="letterButtonDisabled"
          ></button>
        </div>
        <div class="one fluid wide column">
          <button
            #lb12
            [class]="letterButtonClass"
            (click)="letterButtonClick(lb12)"
            [disabled]="letterButtonDisabled"
          ></button>
        </div>
      </div>
    </div>
  </div>
  <div class="ui divider"></div>
  <div class="ui big fluid labeled input focus">
    <div class="ui big yellow basic label">
      Player found word:&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
    </div>
    <input type="text" disabled [value]="foundWord" />
    <div class="ui basic label">{{ foundWordSize }}</div>
  </div>
  <div class="ui big fluid labeled input focus">
    <div class="ui big yellow basic label">Computer found word:</div>
    <input type="text" disabled [value]="computerWord" />
    <div class="ui basic label">{{ computerWordSize }}</div>
  </div>
  <div class="ui divider"></div>
  <div class="field">
    <button
      [class]="submitWordClass"
      [disabled]="submitWordDisabled"
      (click)="submitWord()"
    >
      Submit word
    </button>
    <div *ngIf="submitWordDisabled" [class]="hiddenWordCheckLabelClass">{{hiddenMessage}}</div>

    <button
      class="ui black big right floated buttoned icon button"
      [disabled]="nextGameDisabled"
      (click)="onNextGame()"
    >
      <i class="right arrow icon"></i>
      Next game
    </button>
  </div>
</div>
